%global pkgvers 0
%global scdate0 20250330
%global schash0 fbf9f3c328868f46029284716df49095ab7b99a6
%global branch0 master
%global source0 https://github.com/pothosware/SoapySDR.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           SoapySDR
Version:        0.8.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Soapy SDR
License:        Apache

URL:            https://github.com/pothosware/SoapySDR

BuildRequires:  cmake swig git doxygen gcc-c++ python3-devel python3-setuptools python3
%if 0%{?fedora}
BuildRequires:  plantuml
%endif

%global __cmake_in_source_build 1

%description
Soapy SDR - vendor and platform neutral SDR support library.

%package devel
Summary: Development library of SoapySDR
Requires: %{name} = %{version}-%{release}

%description devel
Development SoapySDR library

%package python3
Summary: Python3 bindings for apps which use SoapySDR
Requires: %{name} = %{version}-%{release}

%description python3
This package contains Python3 bindings for the SoapySDR.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
mkdir -p build
pushd build

%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_SKIP_BUILD_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DENABLE_LUAJIT=OFF

make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}
popd


%files
%doc README.md
%license LICENSE_1_0.txt
%doc build/docs/html
%{_bindir}/*
%{_prefix}/%{_lib}/*.so.*
%{_mandir}/man?/*


%files devel
%{_includedir}/*
%{_prefix}/%{_lib}/*.so
%{_datadir}/cmake/SoapySDR/*.cmake
%{_libdir}/pkgconfig/SoapySDR.pc


%files python3
%{python3_sitearch}/*


%changelog
* Tue Aug 21 2018 Balint Cristian <cristian.balint@gmail.com>
- github update releases
